Bug 40966 - wizard shouldn't use bitmap files
Summary: wizard shouldn't use bitmap files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Wizard
  Show dependency treegraph
 
Reported: 2011-09-17 06:35 UTC by Jérôme
Modified: 2019-03-13 11:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
list of bitmap files (1.64 KB, text/plain)
2011-09-17 06:37 UTC, Jérôme
Details
dpkg-deb --contents LibO_3.5.0rc2_Linux_x86-64_install-deb_en-US/DEBS/libobasis3.5-core06_3.5.0-12_amd64.deb | grep -i "\.bmp$" (8.88 KB, text/plain)
2012-01-29 05:58 UTC, Jérôme
Details
/opt/libreoffice3.5/share/template/wizard/bitmap/XML-Import_2-1.bmp (64.92 KB, image/x-MS-bmp)
2012-02-01 13:03 UTC, Jérôme
Details
/opt/libreoffice3.5/share/template/wizard/bitmap/XML-Import_2-1.png (11.46 KB, image/png)
2012-02-01 13:06 UTC, Jérôme
Details
dpkg-deb --contents lodevbasis6.3-core_6.3.0.0.alpha0-1_amd64.deb | grep -i 'bmp$' | awk '{ print $3"\t"$6 }' (691 bytes, text/plain)
2019-03-12 20:57 UTC, Jérôme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme 2011-09-17 06:35:53 UTC
The below file directory has bitmap files :
/usr/lib/libreoffice/basis3.3/share/template/wizard/bitmap

I noticed that there are also gif files in the same directories with a better compression ratio.

I think that converting bmp files in gif, png or mng would save space.
Comment 1 Jérôme 2011-09-17 06:37:58 UTC
Created attachment 51290 [details]
list of bitmap files
Comment 2 Björn Michaelsen 2011-12-23 12:34:02 UTC Comment hidden (obsolete)
Comment 3 Jérôme 2012-01-29 05:58:01 UTC
Created attachment 56289 [details]
dpkg-deb --contents LibO_3.5.0rc2_Linux_x86-64_install-deb_en-US/DEBS/libobasis3.5-core06_3.5.0-12_amd64.deb | grep -i "\.bmp$"

The 3.5.0rc2 version still have 87 bitmap files into its core packages (including wizards).
Comment 4 Christopher M. Penalver 2012-01-31 03:58:41 UTC
Jérôme, thank you for reporting this. Could you please attach to this bug both one of the .bmp files you found, and that file converted into a format that will both preserve the image quality and lower the file size?
Comment 5 Jérôme 2012-02-01 13:03:30 UTC
Created attachment 56470 [details]
/opt/libreoffice3.5/share/template/wizard/bitmap/XML-Import_2-1.bmp

the orginal image shiped with libreoffice
Comment 6 Jérôme 2012-02-01 13:06:33 UTC
Created attachment 56471 [details]
/opt/libreoffice3.5/share/template/wizard/bitmap/XML-Import_2-1.png

the png version which size is only 18% of the original image
Comment 7 Roman Kuznetsov 2019-03-12 16:47:26 UTC
Now in 6.3 we have only 10 .bmp files. Its overall wight is 33kb. May be this bug might be closed?
Comment 8 Jérôme 2019-03-12 20:57:13 UTC
Created attachment 149923 [details]
dpkg-deb --contents lodevbasis6.3-core_6.3.0.0.alpha0-1_amd64.deb | grep -i 'bmp$' | awk '{ print $3"\t"$6 }'

We can convert the 2 biggers files into png : end.bmp, report.bmp.
Comment 9 Mike Kaganski 2019-03-13 05:27:07 UTC
Hmm... I don't see how they are used at all - there seems to be no references to them throughout the code. Or are they referenced from some template ODFs?
Comment 10 Mike Kaganski 2019-03-13 10:25:34 UTC
https://gerrit.libreoffice.org/69158
Comment 11 Commit Notification 2019-03-13 11:32:32 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c61cda4472f14f27e6c50b3e9b791c50d95d0ca1%5E%21

tdf#40966: convert last used BMPs to PNG; cleanup unused

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.